import javax.rmi.*;
import javax.naming.*;
import javax.ejb.*;


import Calculator;
import CalculatorHome;



public class CalculatorClient {

   private Calculator calculator; 	// remote reference
   

   public CalculatorClient()
   {     
      createCalculator();
      try {
      	System.out.println(calculator.getSum(10, 20));
      }
      catch ( Exception e) { e.printStackTrace(); }
      //destroyCalculator();
   } 
   

   public void createCalculator()
   {
      try {
         
         InitialContext initialContext = new InitialContext();
         
         Object homeObject = initialContext.lookup( "Calculator2" );

         
         CalculatorHome calculatorHome = 
            ( CalculatorHome ) PortableRemoteObject.narrow( homeObject, 
		CalculatorHome.class );         
         calculator = calculatorHome.create();
         
      }
      catch ( Exception e) { e.printStackTrace(); }
   } 
   
/*

   public void destroyCalculator()
   {
	if ( calculator.equals( null ) ) System.exit( -1 );
	else 
	   try {
          	calculator.remove();
	   }
           catch ( Exception e) {}

            
        System.exit( 0 );
   } 
   
*/

   public static void main( String[] args )
   {
      new CalculatorClient();
   }

}
